Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deflate.h File Reference

`#include "zutil.h"`

Include dependency graph for deflate.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | ct_data_s
struct | internal_state
struct | tree_desc_s
## Defines
#define | LENGTH_CODES 29
#define | LITERALS 256
#define | L_CODES (LITERALS+1+LENGTH_CODES)
#define | D_CODES 30
#define | BL_CODES 19
#define | HEAP_SIZE (2*L_CODES+1)
#define | MAX_BITS 15
#define | INIT_STATE 42
#define | BUSY_STATE 113
#define | FINISH_STATE 666
#define | Freq fc.freq
#define | Code fc.code
#define | Dad dl.dad
#define | Len dl.len
#define | max_insert_length max_lazy_match
#define | put_byte(s, c) {s->pending_buf[s->pending++] = (c);}
#define | MIN_LOOKAHEAD (MAX_MATCH+MIN_MATCH+1)
#define | MAX_DIST(s) ((s)->w_size-MIN_LOOKAHEAD)
#define | d_code(dist) ((dist) < 256 ? _dist_code[dist] : _dist_code[256+((dist)>>7)])
#define | _tr_tally_lit(s, c, flush)
#define | _tr_tally_dist(s, distance, length, flush)
## Typedefs
typedef ct_data_s | ct_data
typedef static_tree_desc_s | static_tree_desc
typedef tree_desc_s | tree_desc
typedef ush | Pos
typedef Pos | Posf
typedef unsigned | IPos
typedef internal_state | deflate_state
## Functions
void | _tr_init ()
int | _tr_tally ()
void | _tr_flush_block ()
void | _tr_align ()
void | _tr_stored_block ()
## Variables
uch | _length_code []
uch | _dist_code []

## Define Documentation

#define _tr_tally_dist | ( | s,
|  | distance,
|  | length,
|  | flush |  | ) |

| Value:
    { uch len = (length); \
        ush dist = (distance); \
        s->d_buf[s->last_lit] = dist; \
        s->l_buf[s->last_lit++] = len; \
        dist--; \
        s->dyn_ltree[_length_code[len]+LITERALS+1].Freq++; \
        s->dyn_dtree[d_code(dist)].Freq++; \
        flush = (s->last_lit == s->lit_bufsize-1); \
      }

#define _tr_tally_lit | ( | s,
|  | c,
|  | flush |  | ) |

| Value:
    { uch cc = (c); \
        s->d_buf[s->last_lit] = 0; \
        s->l_buf[s->last_lit++] = cc; \
        s->dyn_ltree[cc].Freq++; \
        flush = (s->last_lit == s->lit_bufsize-1); \
       }

#define BL_CODES 19

#define BUSY_STATE 113

#define Code fc.code

#define d_code | ( | dist |  | ) | ((dist) < 256 ? _dist_code[dist] : _dist_code[256+((dist)>>7)])

#define D_CODES 30

#define Dad dl.dad

#define FINISH_STATE 666

#define Freq fc.freq

#define HEAP_SIZE (2*L_CODES+1)

#define INIT_STATE 42

#define L_CODES (LITERALS+1+LENGTH_CODES)

#define Len dl.len

#define LENGTH_CODES 29

#define LITERALS 256

#define MAX_BITS 15

#define MAX_DIST | ( | s |  | ) | ((s)->w_size-MIN_LOOKAHEAD)

#define max_insert_length max_lazy_match

#define MIN_LOOKAHEAD (MAX_MATCH+MIN_MATCH+1)

#define put_byte | ( | s,
|  | c |  | ) | {s->pending_buf[s->pending++] = (c);}

## Typedef Documentation

typedef struct ct_data_s ct_data

typedef struct internal_state deflate_state

typedef unsigned IPos

typedef ush Pos

typedef Pos Posf

typedef struct static_tree_desc_s static_tree_desc

typedef struct tree_desc_s tree_desc

## Function Documentation

void _tr_align | ( |  | ) |

void _tr_flush_block | ( |  | ) |

void _tr_init | ( |  | ) |

void _tr_stored_block | ( |  | ) |

int _tr_tally | ( |  | ) |

## Variable Documentation

uch _dist_code[]

uch _length_code[]